@use 'sass:map';

mel-upload-image {
  .upload-actions {
    .from-computer {
      cursor: pointer;
      padding: 8px 16px;
      font-weight: bold;
      border-radius: 4px;
      background: var(--primary);
      display: block;
      text-align: center;
      box-sizing: border-box;
      margin: 0 var(--spacing);
      font-size: var(--secondary-font-size-very-small);
      position: relative;
      user-select: none;
      -webkit-tap-highlight-color: transparent;

      &:focus {
        outline: none;
      }

      &::before {
        content: "";
        top: 0;
        left: 0;
        position: absolute;
        width: 100%;
        height: 100%;
        border-radius: inherit;
        z-index: 0;
        opacity: 0.3;
        background-color: transparent;
        transition: all 220ms linear;
      }

      &:focus::before {
        background: var(--primary-shadow);
      }
    }

    p {
      text-align: center;
      font-family: var(--secondary-font);
      font-size: var(--secondary-font-size-very-small);
      margin-top: var(--spacing);
      opacity: 0.87;
      padding: var(--spacing-small);
    }

    label + p {
      font-size: var(--secondary-font-size-small);
      opacity: 1;
    }
  }

  &:not(.add) {
    .upload-image-actions {
      display: none;
    }
  }

  .mel-up-img-actions {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    z-index: 2;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 4px;
    box-sizing: border-box;
    background: transparent;
    margin: 0 !important;
  }

  img[src="null"] {
    height: 0;
  }
}
